﻿using System;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using ERPConnectServices;

namespace BANF.BANFContacts
{
    public partial class BANFContactsUserControl : UserControl
    {
               
        protected void Page_Load(object sender, EventArgs e)
        {
           
        }

        public void Display_Contacts(string creator, string requisitioner, string pur_groupcode)
        {
            tbxCreator.Text = creator;
            tbxRequisitioner.Text = requisitioner;
            
            using (ERPConnectServicesContext context = new ERPConnectServicesContext())
            {
                var purchGroup = (from p in context.T024List where p.EKGRP == pur_groupcode select p).FirstOrDefault();
                if (purchGroup != null)
                {
                    tbxPurchGroup.Text = pur_groupcode + " - " + purchGroup.EKNAM;
                    tbxPhone.Text = purchGroup.EKTEL;
                }
            }
        }
     }
}
