﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace BANF.BdcModelBANF
{
    public partial class AcctAssignmentCatService
    {
        public static IEnumerable<AcctAssignmentCat> ReadList()
        {
            using (ERPConnectServicesContext context = new ERPConnectServicesContext())
            {
                string lang = "EN";
                IEnumerable<T163I> cats = (from t in context.T163IList where t.SPRAS == lang select t);

                List<AcctAssignmentCat> list = new List<AcctAssignmentCat>();

                foreach (T163I item in cats)
                {
                    AcctAssignmentCat ac = new AcctAssignmentCat();
                    ac.Category = item.KNTTP;
                    ac.Description = item.KNTTX;
                    list.Add(ac);
                }
                return list;
            }
        }

        public static AcctAssignmentCat ReadItem(string category)
        {
            using (ERPConnectServicesContext context = new ERPConnectServicesContext())
            {
                string lang = "EN";
                T163I cat = (from t in context.T163IList where (t.KNTTP == category && t.SPRAS == lang) select t).FirstOrDefault();
                AcctAssignmentCat ac = new AcctAssignmentCat();
                ac.Category = cat.KNTTP;
                ac.Description = cat.KNTTX;
                return ac;
            }
        }

        public static IEnumerable<BANF> AcctAssignmentCatToBANF(string category)
        {
            throw new System.NotImplementedException();
        }
    }
}
