﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ERPConnectServices;


namespace BANF.BdcModelBANF
{
    public partial class BANF
    {
        public string RequisitionNumber { get; set; }
        public string RequisitionItem { get; set; }
        public string DocumentType { get; set; }
        public string DocumentCategory { get; set; }
        public string PurchasingGroup { get; set; }
        public string Requisitioner { get; set; }
        public string MaterialDescription { get; set; }
        public string Material { get; set; }
        public string Plant { get; set; }
        public string MaterialGroup { get; set; }
        public decimal Quantity { get; set; }
        public string Unit { get; set; }
        public decimal Amount { get; set; }
        public string Currency { get; set; }
        public string AcctAssignmentCategory { get; set; }
        public string RequisitionDate { get; set; }
        public string DeliveryDate { get; set; }
        public string ReleaseDate { get; set; }
        public string ReleaseIndicator { get; set; }
        public string ReleaseStatus { get; set; }
        public string ReleaseStrategy { get; set; }
        public string ReleaseGroup { get; set; }
        public string SubjectToRelease { get; set; }
        public string CreatedBy { get; set; }
        public string ModifiedOn { get; set; }
        public string GLAccount { get; set; }
        public string CostCenter { get; set; }
    }

    public partial class BANFCreate
    {
        public string RequisitionNumber { get; set; }
        public string RequisitionItem { get; set; }
        public string DocumentType { get; set; }
        //public string DocumentCategory { get; set; }
        public string PurchasingGroup { get; set; }
        public string Requisitioner { get; set; }
        public string MaterialDescription { get; set; }
        public string Material { get; set; }
        public string Plant { get; set; }
        public string MaterialGroup { get; set; }
        public decimal Quantity { get; set; }
        //public string Unit { get; set; }
        //public decimal Amount { get; set; }
        //public string Currency { get; set; }
        public string AcctAssignmentCategory { get; set; }
        //public string RequisitionDate { get; set; }
        public string DeliveryDate { get; set; }
        //public string ReleaseDate { get; set; }
        //public string ReleaseIndicator { get; set; }
        //public string ReleaseStatus { get; set; }
        //public string ReleaseStrategy { get; set; }
        //public string ReleaseGroup { get; set; }
        //public string SubjectToRelease { get; set; }
        //public string CreatedBy { get; set; }
        //public string ModifiedOn { get; set; }
        public string GLAccount { get; set; }
        public string CostCenter { get; set; }
    }

    public partial class BANFUpdate
    {
        public string RequisitionNumber { get; set; }
        public string RequisitionItem { get; set; }
        public string DocumentType { get; set; }
        //public string DocumentCategory { get; set; }
        public string PurchasingGroup { get; set; }
        public string Requisitioner { get; set; }
        public string MaterialDescription { get; set; }
        public string Material { get; set; }
        public string Plant { get; set; }
        public string MaterialGroup { get; set; }
        public decimal Quantity { get; set; }
        //public string Unit { get; set; }
        //public decimal Amount { get; set; }
        //public string Currency { get; set; }
        public string AcctAssignmentCategory { get; set; }
        //public string RequisitionDate { get; set; }
        public string DeliveryDate { get; set; }
        //public string ReleaseDate { get; set; }
        //public string ReleaseIndicator { get; set; }
        //public string ReleaseStatus { get; set; }
        //public string ReleaseStrategy { get; set; }
        //public string ReleaseGroup { get; set; }
        //public string SubjectToRelease { get; set; }
        //public string CreatedBy { get; set; }
        //public string ModifiedOn { get; set; }
        public string GLAccount { get; set; }
        public string CostCenter { get; set; }
    }
}
