﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BANF;

namespace BANF.BdcModelBANF
{
    public partial class PurchasingGroupService
    {
        public static PurchasingGroup ReadItem(string groupCode)
        {
            using (ERPConnectServicesContext context = new ERPConnectServicesContext())
            {
                T024 purch_group = (from t in context.T024List where t.EKGRP == groupCode select t).FirstOrDefault();
                PurchasingGroup pg = new PurchasingGroup();
                pg.GroupCode = purch_group.EKGRP;
                pg.Description = purch_group.EKNAM;
                return pg;
            }
        }

        public static IEnumerable<PurchasingGroup> ReadList()
        {
            using (ERPConnectServicesContext context = new ERPConnectServicesContext())
            {
                IEnumerable<T024> purch_groups = (from t in context.T024List select t);

                 List<PurchasingGroup> list = new List<PurchasingGroup>();

                 foreach (T024 item in purch_groups)
                 {
                     PurchasingGroup pg = new PurchasingGroup();
                     pg.GroupCode = item.EKGRP;
                     pg.Description = item.EKNAM;
                     list.Add(pg);
                 }
                 return list;
              }
            }
              

        public static IEnumerable<BANF> PurchasingGroupToBANF(string groupCode)
        {
            throw new System.NotImplementedException();
        }

        
    }
}