﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BANFRelease.aspx.cs" Inherits="BANF.Layouts.BANF.BANFRelease" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
<link rel="stylesheet" href="/_layouts/BANF/Styles/BANF.css" type="text/css" />
</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <br />
    <asp:Label ID="lblReleaseHeader" runat="server" Text="Purchase Requisition Release" ReadOnly="true"
        Style="z-index: 1; top: 15px; left: 10px;" CssClass="banfHeader"></asp:Label>
    <asp:Label ID="lblRequisitionNumber" runat="server" Text="Requisition Item  " ReadOnly="true" Style="z-index: 1;
        top: 50px;" CssClass="banfLabel"></asp:Label>
    <asp:TextBox ID="tbxRequisitionNumber" runat="server" ReadOnly="true" Style="z-index: 1; left: 115px;
        top: 49px; position: absolute; width: 60px;" CssClass="banfTextBoxROnly"></asp:TextBox>
    <asp:TextBox ID="tbxRequisitionItem" runat="server" ReadOnly="true" Style="z-index: 1; position: absolute;
        left: 184px; top: 49px; width: 30px;" CssClass="banfTextBoxROnly"></asp:TextBox>
    <asp:TextBox ID="tbxMaterial" runat="server" ReadOnly="true" Style="z-index: 1; left: 115px;
        top: 69px; position: absolute; " CssClass="banfTextBoxROnly"></asp:TextBox>
    <asp:TextBox ID="tbxQty" runat="server" ReadOnly="true" Style="z-index: 1; position: absolute;
        left: 115px; top: 89px; " CssClass="banfTextBoxROnly"></asp:TextBox>
    <asp:Label ID="lblReleaseStatus" runat="server" Text="Release Status  " Style="z-index: 1;
        top: 119px;" CssClass="banfLabel"></asp:Label>
    <asp:Label ID="lblStatus1" runat="server" Style="left: 115px; z-index: 1; top: 119px;"
        CssClass="banfLabelStatusInitial"></asp:Label>
    <asp:Label ID="lblRelCodeText1" runat="server" Style="left: 140px; z-index: 1; top: 119px;"
        CssClass="banfLabelRelCodeText"> </asp:Label>
    <asp:Label ID="lblStatus2" runat="server" Style="left: 115px; z-index: 1; top: 137px;"
        CssClass="banfLabelStatusInitial"></asp:Label>
    <asp:Label ID="lblRelCodeText2" runat="server" Style="left: 140px; z-index: 1; top: 137px;"
        CssClass="banfLabelRelCodeText"></asp:Label>
    <asp:Label ID="lblStatus3" runat="server" Style="left: 115px; z-index: 1; top: 155px;"
        CssClass="banfLabelStatusInitial"></asp:Label>
    <asp:Label ID="lblRelCodeText3" runat="server" Style="left: 140px; z-index: 1; top: 155px;"
        CssClass="banfLabelRelCodeText"></asp:Label>
    <asp:Label ID="lblReleaseIndicator" runat="server" Text="Release Indicator  " Style="z-index: 1;
        top: 185px;" CssClass="banfLabel"></asp:Label>
    <asp:TextBox ID="tbxReleaseIndicatorCode" runat="server" ReadOnly="true" Style="z-index: 1; left: 115px; top: 185px; position: absolute; width: 10px;" CssClass="banfTextBoxROnly"></asp:TextBox>
    <asp:TextBox ID="tbxReleaseIndicatorText" runat="server" ReadOnly="true" Style="border: none; z-index: 1;
        left: 134px; top: 185px; position: absolute; width: 120px;" CssClass="banfTextBoxText"></asp:TextBox>
    <asp:Label ID="lblMessage" runat="server" ReadOnly="true" CssClass="banfLabel" Style="left: 10px; top: 215px; width:90%; "> </asp:Label>
    <asp:Button ID="btnRelease" runat="server" Text="Release" OnClick="btnRelease_Click" Style="z-index: 1; right: 20px;
        top: 215px;" CssClass="banfButton" Visible="true"></asp:Button>
    <br />
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    BANF Release
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea"
    runat="server">
    BANF Release Page
</asp:Content>
